//########## Endless Zombies for Slayer

//### Gamemode

if(!$Slayer::Server::Dependencies::Gamemodes)
	exec("Add-ons/Gamemode_Slayer/Dependencies/Gamemodes.cs");
Slayer.Gamemodes.addMode("Endless Zombies","EZM",0,1);

//### Preferences

if(!$Slayer::Server::Dependencies::Preferences) exec("Add-ons/Gamemode_Slayer/Dependencies/Preferences.cs");

Slayer.Prefs.addPref("EZM","Reset Lives every Wave","%mini.EZM_ResetLives","bool",1,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Delay between Waves (Seconds)","%mini.EZM_WaveDelay","int 10 120",30,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Special Waves","%mini.EZM_AllowSpecialWaves","bool",0,0,1,-1,"Rules EZM Mode");

Slayer.Prefs.addPref("EZM","Sudden Death Mode","%mini.EZM_SuddenDeath","list" TAB "0 Reduce health to 1" TAB "1 All players die" TAB "2 All zombies die",0,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Wave Time Limit (Minutes)","%mini.EZM_SuddenDeathTimeLimit","int 0 60",0,0,1,-1,"Rules EZM Mode");

Slayer.Prefs.addPref("EZM","Zombie Head Damage Only","%mini.EZM_ZombieHeadDmg","bool",0,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Zombie Starting Health (%)","%mini.EZM_ZombieHealth","int 0 200",100,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Health Increase per Wave (%)","%mini.EZM_ZombieHealthInc","int 0 100",10,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Zombie Starting Damage (%)","%mini.EZM_DamageScaling","int 1 200",100,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Damage Increase per Wave (%)","%mini.EZM_DamageScalingInc","int 0 100",1,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Zombie Starting Amount","%mini.EZM_ZombieAmount","int 0 50",25,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Zombie Increase per Wave","%mini.EZM_ZombieAmountInc","int 0 10",5,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Add Boss every X Waves","%mini.EZM_BossCountInc","int 0 50",20,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Max Amount of Zombies Spawned","%mini.EZM_ZombieAmountMaxSpawned","int 1 100",50,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Zombie Starting Intelligence","%mini.EZM_ZombieIntelligence","slide 0 100 99 1",25,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Intelligence Increase per Wave","%mini.EZM_ZombieIntelligenceInc","slide 0 10 9 1",1,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Always Find Players","%mini.EZM_ZombieSuperIntelligence","bool",0,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Zombie Weapons","%mini.EZM_ZombieWeapons","list" TAB "0 Melee Weapons only" TAB "1 Ranged Weapons only" TAB "2 Melee and Ranged Weapons",2,0,1,-1,"Rules EZM Mode");

Slayer.Prefs.addPref("EZM","Allow Skeletons","%mini.EZM_AllowSkeletons","bool",1,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Allow Normal Zombies","%mini.EZM_AllowNormalZombies","bool",1,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Allow Fat Zombies","%mini.EZM_AllowFatZombies","bool",1,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Allow Suicidal Zombies","%mini.EZM_AllowSuicidalZombies","bool",1,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Allow Ninja Zombies","%mini.EZM_AllowNinjaZombies","bool",1,0,1,-1,"Rules EZM Mode");
Slayer.Prefs.addPref("EZM","Allow Soldier Zombies","%mini.EZM_AllowSoldierZombies","bool",1,0,1,-1,"Rules EZM Mode");

Slayer.Prefs.addPref("EZM","Zombie Kill","%mini.EZM_ZombieKillPoints","int 0 999",1,0,1,-1,"Rules EZM Points");
//Slayer.Prefs.addPref("EZM","Zombie Soldier Kill","%mini.EZM_ZombieSoldierKillPoints","int 0 999",10,0,1,-1,"Rules EZM Points");
Slayer.Prefs.addPref("EZM","Dealing 1% Boss Damage","%mini.EZM_ZombieBossDamagePoints","int 0 999",1,0,1,-1,"Rules EZM Points");
Slayer.Prefs.addPref("EZM","Boss Kill","%mini.EZM_ZombieBossKillPoints","int 0 999",50,0,1,-1,"Rules EZM Points");
Slayer.Prefs.addPref("EZM","Wave Survival","%mini.EZM_WaveSurvivalPoints","int 0 999",10,0,1,-1,"Rules EZM Points");
Slayer.Prefs.addPref("EZM","Late Join Bonus per Wave","%mini.EZM_LateJoinWavePoints","int 0 999",0,0,1,-1,"Rules EZM Points");

//### Other shizzle

if(!isObject(EZMZombies)) new SimSet(EZMZombies);
if(!isObject(EZMZombieSpawns)) new SimSet(EZMZombieSpawns);

exec("./ai.cs");
exec("./director.cs");
exec("./package.cs");
exec("./zombiedata.cs");
exec("./zombies.cs");
exec("./custom zombie example.cs");

exec("./items/sword.cs");
exec("./items/bow.cs");
exec("./items/gun.cs");
exec("./items/gunsakimbo.cs");
exec("./items/rocketlauncher.cs");
exec("./items/items.cs");
exec("./items/dynamite.cs");
exec("./items/deathwand.cs");
exec("./items/kompressorwand.cs");
