//########## Sword

datablock ProjectileData(EZM_SwordProjectile : swordProjectile)
{
  uiName = "";
  directDamage = 15;
  muzzleVelocity = 100;
  impactImpulse = 100;
  verticalImpulse = 100;
};

datablock ShapeBaseImageData(EZM_SwordImage : SwordImage)
{
  projectile = EZM_SwordProjectile;
  projectileType = Projectile;
  colorShiftColor = "0.4 0.5 0.4 1";

  stateName[0]                     = "Activate";
  stateTimeoutValue[0]             = 0.5;
  stateTransitionOnTimeout[0]      = "Ready";
  stateSound[0]                    = swordDrawSound;

  stateName[1]                     = "Ready";
  stateTransitionOnTriggerDown[1]  = "PreFire";
  stateAllowImageChange[1]         = true;

  stateName[2]			= "PreFire";
  stateScript[2]                  = "onPreFire";
  stateAllowImageChange[2]        = false;
  stateTimeoutValue[2]            = 0.1;
  stateTransitionOnTimeout[2]     = "Fire";

  stateName[3]                    = "Fire";
  stateTransitionOnTimeout[3]     = "CheckFire";
  stateTimeoutValue[3]            = 0.2;
  stateFire[3]                    = true;
  stateAllowImageChange[3]        = false;
  stateSequence[3]                = "Fire";
  stateScript[3]                  = "onFire";
  stateWaitForTimeout[3]		= true;

  stateName[4]			= "CheckFire";
  stateTransitionOnTriggerUp[4]	= "StopFire";
  stateTransitionOnTriggerDown[4]	= "Fire";

  stateName[5]                    = "StopFire";
  stateTransitionOnTimeout[5]     = "Ready";
  stateTimeoutValue[5]            = 0.2;
  stateAllowImageChange[5]        = false;
  stateWaitForTimeout[5]		= true;
  stateSequence[5]                = "StopFire";
  stateScript[5]                  = "onStopFire";
};

function EZM_SwordImage::onPreFire(%this,%obj,%slot) { %obj.playthread(2,armattack); }
function EZM_SwordImage::onStopFire(%this,%obj,%slot) { %obj.playthread(2,root); }
